var Vue = require('Vue')
var VueRouter = require('vue-router')

Vue.use(VueRouter)

var r = module.exports = new VueRouter({
	hashbang: false
})

r.map({
	'/home': {
		name: 'home',
		component: require('components/home/')
	},
	'/posts': {
		name: 'posts',
		component: require('components/posts')
	},
	'/post/:id/': {
		name: 'post',
		component: require('components/post')
	},
	'/u': {
		name: 'u',
		component: require('components/user'),
		subRoutes: {
			'recive': {
				name: 'recive',
				component: require('components/user/recive')
			},
			'msg': {
				name: 'msg',
				component: require('components/user/msg')
			},
			'send': {
				name: 'send',
				component: require('components/user/send')
			}
		}
	}
})

r.alias({
	'/u': '/u/recive',
	'/': '/home'
})

r.redirect({
	'*': '/home',
})

r.beforeEach(function(transition) {
	// transition.next()
	console.log(transition.to, transition.from)
	transition.next()
})