#vue

[http://vuejs.org/](http://vuejs.org/)

**hello world**

    <div id="app">
      {{ message }}
    </div>

    new Vue({
      el: '#app',
      data: {
        message: 'Hello Vue.js!'
      }
    })

**事件**

    v-on:click.stop.prevent="show($event)"
    v-on:keyup.enter="submit"

**组件**

0. 注册组件

    var MyComponent = Vue.extend({
      template: '<div>A custom component!</div>'
    })

    // 注册
    Vue.component('my-component', MyComponent)

    var Child = Vue.extend({ /* ... */ })

    var Parent = Vue.extend({
      template: '...',
      components: {
        // <my-component> 只能用在父组件模板内
        'my-component': Child
      }
    })

    // 局部注册也可以这么做
    var Parent = Vue.extend({
      components: {
        'my-component': {
          template: '<div>A custom component!</div>'
        }
      }
    })


1. 生命周期
    created,ready,destroyed

2. 通信
    props(动态 props),event,v-ref(子组件)

**指令**

    bind,unbind,update,params(类似props)

**mixins**

    // 定义一个混合对象
    var myMixin = {
      created: function () {
        this.hello()
      },
      methods: {
        hello: function () {
          console.log('hello from mixin!')
        }
      }
    }

    // 定义一个组件，使用这个混合对象
    var Component = Vue.extend({
      mixins: [myMixin]
    })

    var component = new Component() // -> "hello from mixin!"

**一些地方**

1. template 返回一个根节点 (this.$el ===> #text)
2. track-by 实现 dom 复用


#vue-router

[http://vuejs.github.io/vue-router/zh-cn/](http://vuejs.github.io/vue-router/zh-cn/)

**问题**

    v-link="name" path 跳转问题

#webpack
    
vue-loader: [https://github.com/vuejs/vue-loader](https://github.com/vuejs/vue-loader)

**各种 loader**